<?php
/**
 * @package Helix Ultimate Framework
 * @author JoomShaper https://www.joomshaper.com
 * @copyright Copyright (c) 2010 - 2018 JoomShaper
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or Later
*/

defined ('_JEXEC') or die();

$data = $displayData;
$offcanvas_position = $displayData->params->get('offcanvas_position', 'right');
$menu_type = $data->params->get('menu_type');

$feature_folder_path     = JPATH_THEMES . '/' . $data->template->template . '/features/';

include_once $feature_folder_path.'logo.php';
include_once $feature_folder_path.'social.php';
include_once $feature_folder_path.'contact.php';
include_once $feature_folder_path.'menu.php';

$output  = '';

$output .= '<header id="sp-header">';
$output .= '<div class="container">';
$output .= '<div class="d-flex justify-content-between">';
$output .= '<div class="logo-area-wrap">';

$logo    = new HelixUltimateFeatureLogo($data->params);
if(isset($logo->load_pos) && $logo->load_pos == 'before')
{
	$output .= $logo->renderFeature();
	$output .= '<jdoc:include type="modules" name="logo" style="sp_xhtml" />';
}
else
{
	$output .= '<jdoc:include type="modules" name="logo" style="sp_xhtml" />';
	$output .= $logo->renderFeature();
}
$output .= '</div>';
$menu    = new HelixUltimateFeatureMenu($data->params);
$menu->toggler = false;
if(isset($menu->load_pos) && $menu->load_pos == 'before')
{
	$output .= $menu->renderFeature();
	$output .= '<jdoc:include type="modules" name="menu" style="sp_xhtml" />';
}
else
{
	$output .= '<jdoc:include type="modules" name="menu" style="sp_xhtml" />';
	$output .= $menu->renderFeature();
}

$output .= '<div class="menu-right-wrap">';
$output .= '<div class="d-inline-block">';

$social  = new HelixUltimateFeatureSocial($data->params);
$social->css_class = 'd-none d-lg-inline-block ml-3';
$contact = new HelixUltimateFeatureContact($data->params);
$contact->css_class = 'd-none d-lg-inline-block';
$output .= $contact->renderFeature();
$output .= $social->renderFeature();
$output .= '<jdoc:include type="modules" name="header-right" style="sp_xhtml" />';

if($data->params->get('booknow_button'))
{
	$output .= '<a target="_self" href="' . $data->params->get('booknow_url', '#') . '" class="free-quote sppb-btn sppb-btn-default">' . $data->params->get('booknow_text', 'Book Now') . '</a>';
}

if ($menu_type == 'mega')
{
	$output .= '<a id="offcanvas-toggler" aria-label="Navigation" class="offcanvas-toggler-right d-block d-lg-none" href="#"><i class="fa fa-bars" aria-hidden="true" title="Navigation"></i></a>';
}
else
{
	$output .= '<a id="offcanvas-toggler" aria-label="Navigation" class="offcanvas-toggler-right d-inline-block" href="#"><i class="fa fa-bars" aria-hidden="true" title="Navigation"></i></a>';
}

$output .= '</div>';
$output .= '</div>';

$output .= '</div>';
$output .= '</div>';
$output .= '</header>';

echo $output;